io.etcd.jetcd.api

## Interface KeyValueOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  KeyValue, KeyValue.Builder

    public interface KeyValueOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCreateRevision()` create_revision is the revision of last creation on this key.
`com.google.protobuf.ByteString` `getKey()` key is the key in bytes.
`long` `getLease()` lease is the ID of the lease that attached to key.
`long` `getModRevision()` mod_revision is the revision of last modification on this key.
`com.google.protobuf.ByteString` `getValue()` value is the value held by the key, in bytes.
`long` `getVersion()` version is the version of the key.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getKey

    com.google.protobuf.ByteString getKey()

     key is the key in bytes. An empty key is not allowed.

`bytes key = 1;`

Returns:
  The key.

#### getCreateRevision

    long getCreateRevision()

     create_revision is the revision of last creation on this key.

`int64 create_revision = 2;`

Returns:
  The createRevision.

#### getModRevision

    long getModRevision()

     mod_revision is the revision of last modification on this key.

`int64 mod_revision = 3;`

Returns:
  The modRevision.

#### getVersion

    long getVersion()

     version is the version of the key. A deletion resets
     the version to zero and any modification of the key
     increases its version.

`int64 version = 4;`

Returns:
  The version.

#### getValue

    com.google.protobuf.ByteString getValue()

     value is the value held by the key, in bytes.

`bytes value = 5;`

Returns:
  The value.

#### getLease

    long getLease()

     lease is the ID of the lease that attached to key.
     When the attached lease expires, the key will be deleted.
     If lease is 0, then no lease is attached to the key.

`int64 lease = 6;`

Returns:
  The lease.